/*NMA for Continuous data*/
/*Setup the working directory and load the data*/
cd "D:\NMA_D2\"
use "P5_continous_long.dta", clear 						/* For loading long form data */
use "P5_continous_wide.dta", clear 						/* For loading wide form data */

/* Construct a new dataset ready for NMA */
network setup mean sd n, studyvar(study) trtvar(trt) md	trtlist("P" "D" "G")    /*For long form data*/
network setup mean sd n, studyvar(study) md	trtlist("P" "D" "G")    			/*For wide form data*/

/* Draw a network geometry */
network map

/* Fit a consistency model by showing exponential results (OR) */
network meta c										
lincom [_y_C]_cons - [_y_B]_cons			 			/* Obtain MD of G vs D */


/* Draw a forest plot with exponential results (OR) and diamond for pooled results */
network forest, list diamond 

/* Draw a ranking plot */
network rank min, all gen(prob) line cumulative
sucra prob*, labels("P" "D" "G") rankog

/* Check inconsistency using side-split*/
network sidesplit all

/* Check inconsistency using inconsistency model*/
network meta i

/* Draw a forest plot with exponential results (OR) and diamond for pooled results */
network forest, list diamond 
