/*Install the package*/
net install mvmeta.pkg, from(http://fmwww.bc.edu/RePEc/bocode/m)
net install network.pkg, from(from http://fmwww.bc.edu/RePEc/bocode/n)
net install st0411.pkg, from(http://www.stata-journal.com/software/sj15-4)
net install sencode.pkg

/*NMA for binary data*/
/*Setup the working directory and load the data*/
cd "D:\NMA_D2\"
use "P1_long.dta", clear 							/*For loading long form data*/
use "P1_wide.dta", clear 							/*For loading wide form data*/

/* Construct a new dataset ready for NMA */
network setup d n, studyvar(study) trtvar(iv) or 	/*For long form data*/
network setup d n, studyvar(study) or 				/*For wide form data*/

/* Draw a network geometry */
network map

/* Fit a consistency model by showing exponential results (OR) */
network meta c, eform								/* Use "eform" to show OR instaed of logOR*/
lincom [_y_C]_cons - [_y_B]_cons, eform 			/* Obtain OR of Q vs NQ*/


/* Draw a forest plot with exponential results (OR) and diamond for pooled results */
network forest, list eform xlabel(0.01 0.1 1 10 100) diamond 

/* Draw a ranking plot */
network rank min, all gen(prob) line cumulative
sucra prob*, labels(A NQ Q) rankog

/* Check inconsistency using side-split*/
network sidesplit all

/* Check inconsistency using inconsistency model*/
network meta i, eform

/* Draw a forest plot with exponential results (OR) and diamond for pooled results */
network forest, list eform xlabel(0.01 0.1 1 10 100) diamond 

